INTAKE-SERVER(1)

NAME
intake-server - Intake catalog server

SYNOPSIS
intake-server [-h] [-p PORT] [--list-entries] [--sys-exit-on-sigterm] [--flatten] [--no-flatten] [--ttl TTL] [-a ADDRESS] FILE [FILE ...]

DESCRIPTION

The Intake Catalog Server takes one or more catalog files as input and makes them available on port 5000 by default.

  positional arguments:

FILE
    name of the catalog YAML file.

  optional arguments:

-h, --help
    show this help message and exit.

-p PORT, --port PORT
    port number for server to listen on.

--list-entries
    list catalog entries at startup.

--sys-exit-on-sigterm
    internal flag used during unit testing to ensure that the .coverage file is written.

--flatten
    specify that all datasources are merged in a single namespace.

--no-flatten
    make sure each file becomes a sub-catalog.

--ttl TTL
    time-to-live, how long before the given entity is considered to have expired, usually in seconds.

-a ADDRESS, --address ADDRESS
    address to use as a host, defaults to the address in the configuration file, if provided, otherwise localhost.

AUTHORS

intake and intake-server are programs written by Anaconda Inc.

The present manual page is written by Étienne Mollier <emollier@debian.org> for the Debian project,

SEE ALSO

One can find more information about the intake-server inside intake(1) manual page.